Ubuntu

Flurries condition is marked as 'Unknown'

Reported by Petko Ditchev on 2012-02-08
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Weather Indicator
Medium
Vadim Rutkovsky
indicator-weather (Ubuntu)
Low
Andrew Starr-Bochicchio
Precise
Medium
Unassigned

Bug Description

-------------- SRU Justification ---------------
[Impact]
'Flurries' condition is recognized as 'Unknown'.

[Test Case]
1) Find a city, which has flurries today or in forecast (simply by googling 'flurries weather city')
2) Add this city in Weather Indicator
3) View current condition and/or forecast for this city
Result: flurries condition is recognized as known - has correct 'snow' icon and translated label.

[Regression Potential]
This is a one line patch simply adding another entry in the list of conditions. There is very little regression potential.

---

The indicator shows a gray circle with a white cloud with a question mark inside it (some default icon) at all times , except when it's refreshing . The city I've set it to is Sofia/Bulgaria . I'll check some more cities and report if there's any change .

PS:Berlin seems ok
   Moscaw also (thow it shows up only in yahoo source)
   Plovdiv (also in Bulgaria) shows ok , so it's something specifically about Sofia I guess

Yep , tried 2-3 more and everithing's ok except Sofia .

PS2: I guess it's specific only for the Light snow condition (and/or other snow) , because now it chaneged to mostly cloudy and it's ok .

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: indicator-weather 11.11.28-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-14.23-generic 3.2.3
Uname: Linux 3.2.0-14-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Wed Feb 8 04:02:10 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120205)
PackageArchitecture: all
SourcePackage: indicator-weather
UpgradeStatus: No upgrade log present (probably fresh install)

Petko Ditchev (pditchev) wrote :
Petko Ditchev (pditchev) on 2012-02-08
description: updated
Petko Ditchev (pditchev) on 2012-02-08
description: updated
Vadim Rutkovsky (roignac) wrote :

From the log:
[Fetcher] 2012-02-08 04:00:16,037 - ERROR - ExtendedForecast: unknown Google weather condition 'flurries'
[Fetcher] 2012-02-08 04:00:16,038 - DEBUG - Weather: current condition: 'flurries', '(False, False, False, 'Unknown condition')'

'Flurries' condition should be corrected

Changed in indicator-weather (Ubuntu):
status: New → Confirmed
summary: - Weather icon appears when refreshing but defaults thereafter
+ Flurries condition is marked as 'Unknown'
Changed in weather-indicator:
assignee: nobody → Vadim Rutkovsky (roignac)
importance: Undecided → Medium
status: New → Triaged
Atul Ingle (ingle-atul-y) wrote :

I am having the exact same problem -- a cloud with a question mark.
(Location: Madison, WI)

Matt Fischer (mfisch) wrote :

I debugged this tonight and then finally fixed it. During the time I was playing with it, it stopped the Flurries where I live and I had to use a weather map and pick a different city. From what I can guess, Google only returns "flurries" and not "snowflurries" as in the table. I cannot prove this and it should be harmless to leave "snowflurries", so I just added a flurries entry.

Patch attached.

The attachment "fix_flurries.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Vadim Rutkovsky (roignac) wrote :

Yay, thanks!

Changed in weather-indicator:
milestone: none → 12.03.15
status: Triaged → Fix Committed
description: updated
Matt Fischer (mfisch) on 2012-03-02
Changed in indicator-weather (Ubuntu):
importance: Undecided → Low
Changed in weather-indicator:
status: Fix Committed → Fix Released
Changed in indicator-weather (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-weather - 12.07.30-0ubuntu1

---------------
indicator-weather (12.07.30-0ubuntu1) quantal; urgency=low

  * New upstream release.
   - If Earthtools.org is down, report 'Unknown' rather than
     blocking on sunset and sunrise times (LP: #964365).
   - Correctly preform .pid file matching so we can restart after
     a crash (LP: #926433).
   - Fixed flurries condition being marked as 'Unknown' (LP: #928596).
   - Km in the units tab now written in full as kilometres (LP: #952661).
  * debian/control: Bump standards version to 3.9.3, no changes needed.
  * debian/postinst: Don't manually install or compile gschema. Distutils.Extras
    now installs it correctly and an apt trigger compiles it.
 -- Andrew Starr-Bochicchio <email address hidden> Mon, 30 Jul 2012 16:32:33 -0400

Changed in indicator-weather (Ubuntu):
status: In Progress → Fix Released
description: updated
description: updated

Debdiff for SRU in bug #964365

Hello Petko, or anyone else affected,

Accepted indicator-weather into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/indicator-weather/11.11.28-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in indicator-weather (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Medium
status: In Progress → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello Petko, or anyone else affected,

Accepted indicator-weather into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/indicator-weather/11.11.28-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Stéphane Graber (stgraber) wrote :

Apparently I picked the wrong day to test this one as I couldn't find any place where google was reporting flurries...

Anyway, I cheated a bit and gave the expected input to the script which in turn set the right icon, so between that test and the pretty obvious change that was done, I think it's good enough to get into -updates.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-weather - 11.11.28-0ubuntu1.2

---------------
indicator-weather (11.11.28-0ubuntu1.2) precise-proposed; urgency=high

  * debian/postinst: Drop manually installation and compilation of gschema
    file. When built against >= 2.32-1, python-distutils-extra automatically
    finds and installs the gschema file leading the postinst script
    to fail as it isn't where it expects it to be (LP: #1032887).

indicator-weather (11.11.28-0ubuntu1.1) precise-proposed; urgency=low

  * debian/patches/dont_block_on_sun_times.patch:
   - If Earthtools.org is down, report 'Unknown' rather than
     blocking on sunset and sunrise times (LP: #964365).
  * debian/patches/fix_flurries.patch:
   - Fixes flurries condition being marked as 'Unknown' (LP: #928596).
  * debian/patches/fix_pid_checking.patch:
   - Correctly preform .pid file matching so we can restart after
     a crash (LP: #926433).
 -- Andrew Starr-Bochicchio <email address hidden> Sat, 04 Aug 2012 10:40:24 -0400

Changed in indicator-weather (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers